Bug 1644444 (CVE-2018-18662) - CVE-2018-18662 mupdf: out-of-bounds read in fz_run_t3_glyph in fitz/font.c
Summary: CVE-2018-18662 mupdf: out-of-bounds read in fz_run_t3_glyph in fitz/font.c
Status: CLOSED UPSTREAM
Alias: CVE-2018-18662
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20181026,reported=2...
Keywords: Security
Depends On: 1644445
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-30 20:41 UTC by Laura Pardo
Modified: 2019-06-10 10:41 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 10:41:15 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-10-30 20:41:58 UTC
There is an out-of-bounds read in fz_run_t3_glyph in fitz/font.c in Artifex MuPDF 1.14.0, as demonstrated by mutool. 


References:
https://bugs.ghostscript.com/show_bug.cgi?id=700043 
https://github.com/TeamSeri0us/pocs/tree/master/mupdf

Comment 1 Laura Pardo 2018-10-30 20:42:19 UTC
Created mupdf tracking bugs for this issue:

Affects: fedora-all [bug 1644445]

Comment 2 Michael J Gruber 2019-05-13 12:38:21 UTC
Souldn't this be closed since the bug this depends on has been closed?

Comment 3 Product Security DevOps Team 2019-06-10 10:41:15 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.